> For the complete documentation index, see [llms.txt](https://docs.sharinpix.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sharinpix.com/documentation/features/main-integration/sharinpix-custom-translation.md).

# SharinPix Custom Translation

SharinPix allows you to create your own custom label with the custom language.

{% hint style="success" %}
1\. To make this work you have to add this in your token.

for example:

**translations: ' <<**&#x4C;in&#x6B;**> >' (**&#x49;nsert link towards JSON fil&#x65;**).**

**locale: ko (** Mandatory to add in the token else default translation will be applie&#x64;**)**

2\. The URL (JSON File ) should be a public link.
{% endhint %}

Example how to configure your SharinPix token:

```json
{
  "path": "/pagelayout/003240000046yLAWWW",
  "abilities": {
    "003240000046yLAWWW": {
      "Access": {
        "see": true,
        "image_list": true,
        "image_delete": true,
        "image_upload": true
      }
    }
  },
  "translations": "https://sharinpix-documentation.s3.amazonaws.com/translation_example.json",
  "locale": "ko"
}
```

Below is an example of the JSON:

```json
{
    "fr": {
        "fallback": "fr-fr",
        "data": {
          "pagelayout.dropzone": "Glissez vos fichiers ici ou cliquez pour en ajouter.",
          "pagelayout.add": "Ajouter"
        }
    },
    "en": {
        "fallback": "en-us",
        "data": {
          "pagelayout.dropzone": "Drop files here or click to upload.",
          "pagelayout.add": "Add"
        }
    },
    "it": {
        "fallback": "en-us",
        "data": {
          "pagelayout.dropzone": "Trascina qui il file oppure clicca su upload.",
          "pagelayout.add": "Aggiungi"
        }
    },
    "ko": {
        "fallback": "en-us",
        "data": {
          "pagelayout.dropzone": "여기에 파일을 놓거나 클릭하여 업로드하세요.",
          "pagelayout.add": "추가하기"
        }
    }
    
}
```

{% hint style="success" %}
fallback is reverting to the translation if in case there is missing data.
{% endhint %}

## Demo

In the demo example we are translating the language to french

Before we apply the JSON:

![](/files/0ABw14co4Lkqq1tdNlnC)

```json
{
    "fr": {
        "fallback": "fr-fr",
        "data": {
          "pagelayout.dropzone": "Glissez vos fichiers ici ou cliquez pour en ajouter.",
          "pagelayout.add": "Ajouter"
        }
    }
}
```

After we applied the JSON:

![](/files/UsLj1qDoYuKrUq9JqZ3i)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sharinpix.com/documentation/features/main-integration/sharinpix-custom-translation.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
